<?php
require_once(realpath(dirname(__FILE__)) . '/../Domain/FotoGrupo.php');

class Area {
	public $areaID;
	public $nome;
	public $texto;
	public $foto1;
	public $foto1Q;
	public $foto2;
	public $foto2Q;
	public $foto3;
	public $foto3Q;
	public $lang;
	/**
	 * @AssociationType Domain.FotoGrupo
	 * @AssociationMultiplicity 0..1
	 */
	public $fotoGrupo;
	public $fotoGrupoID;
	
	public function getAreaID() {
		return $this->areaID;
	}
	
	public function setAreaID($areaID) {
		$this->areaID = $areaID;
	}
	
	public function getFoto1() {
		return $this->foto1;
	}
	
	public function setFoto1($foto1) {
		$this->foto1 = $foto1;
	}
	
	public function getFoto1Q() {
		return $this->foto1Q;
	}
	
	public function setFoto1Q($foto1Q) {
		$this->foto1Q = $foto1Q;
	}
	
	public function getFoto2() {
		return $this->foto2;
	}
	
	public function setFoto2($foto2) {
		$this->foto2 = $foto2;
	}
	
	public function getFoto2Q() {
		return $this->foto2Q;
	}
	
	public function setFoto2Q($foto2Q) {
		$this->foto2Q = $foto2Q;
	}
	
	public function getFoto3() {
		return $this->foto3;
	}
	
	public function setFoto3($foto3) {
		$this->foto3 = $foto3;
	}
	
	public function getFoto3Q() {
		return $this->foto3Q;
	}
	
	public function setFoto3Q($foto3Q) {
		$this->foto3Q = $foto3Q;
	}
	
	public function getFotoGrupo() {
		return $this->fotoGrupo;
	}
	
	public function setFotoGrupo($fotoGrupo) {
		$this->fotoGrupo = $fotoGrupo;
	}
	
	public function getNome() {
	return Idiomas::getTexto($this->nome,$this->lang);
	}
	
	public function setNome($nome) {
		$this->nome = Idiomas::setTexto($this->nome,$this->lang,$nome);
	}
	
	public function getTexto() {
		return Idiomas::getTexto($this->texto,$this->lang);
	}
	
	public function setTexto($texto) {
		$this->texto = Idiomas::setTexto($this->texto,$this->lang,$texto);
	}
	
	public function getFotoGrupoID() {
		return $this->fotoGrupoID;
	}
	
	public function setFotoGrupoID($fotoGrupoID) {
		$this->fotoGrupoID = $fotoGrupoID;
	}
}
?>